# Synavate Utilities
### A collection of utilities regularly used.

blog 📚
blog/init.py: Initializes the blog module.
blog/blog_content.md: Markdown content for the blog.
blog/generate_blog.py: Script to generate blog content.

build 🔨
build/Makefile: Makefile for build automation.
build/pyproject.toml: Project configuration file.

cicd 🔄
cicd/init.py: Initializes the CICD module.
cicd/circleci/config.yml: CircleCI configuration file.
cicd/gcp: GCP-specific CI/CD configurations.

db 🗃️
db/init.py: Initializes the database module.
db/chroma/init.py: Initializes the chroma submodule.
db/chroma/local_load.py: Script for local data loading.
db/chroma/main.py: Main script for Chroma operations.
db/dbmain.py: Main database script.
db/mongodb-with-fastapi/init.py: Initializes the MongoDB FastAPI submodule.
db/mongodb-with-fastapi/app.py: Main FastAPI application script.

docker 🐋
docker/Dockerfile: Dockerfile for building the main container.
docker/Streamlit_Dockerfile: Dockerfile for Streamlit application.

github 🐙
github/init.py: Initializes the GitHub module.
github/lint.yml: Linting configuration for GitHub actions.
github/new/git_template.md: Git template for new projects.

logs 📜
logs/init.py: Initializes the logging module.
logs/logger/logger.py: Main logger script.
logs/logger/logging_config.yaml: Configuration for logging.

priv 🔒
priv/PII_Removal/init.py: Initializes the PII removal module.
priv/PII_Removal/remove.py: Main script for removing PII.

py 🐍
py/decorators/example.py: Example decorator.
py/decorators/template.py: Template for new decorators.
py/folders.py: Folder management scripts.
py/formatting/misc_formatting_etc.py: Miscellaneous formatting utilities.
py/functions/json_enforce.py: JSON enforcement utilities.
py/functions/json_w_pydantic.py: JSON handling with Pydantic.
py/gcp.py: Google Cloud Platform utilities.
py/middlewares/auth/JWT_tokens.py: JWT token utilities.
py/middlewares/auth/auth_bearer.py: Bearer token authentication.
py/middlewares/cors.py: CORS middleware.

rs 🦀
rs/logging/src/main.rs: Main Rust source file for logging.

scripts 📂
scripts/folders.zsh: Zsh script for folder management.

vscode 💻
vscode/devcontainer/devcontainer_util.json: Devcontainer utilities.
vscode/devcontainer.json_base: Base configuration for devcontainer.